CREATE TABLE irc_rac_rule_actions (
    SUBSCRIBER_RULE_ACTION_ID    NUMBER(18, 0) ,
    SUBSCRIBER_RULE_ID           NUMBER(18, 0)     NOT NULL,
    SUBSCRIBER_RULE_CODE         VARCHAR2(1024)    NOT NULL,
    ENABLED_FLAG                 VARCHAR2(4)       NOT NULL,
    DEFAULT_FLAG                 VARCHAR2(4)       NOT NULL,
    ACTION_CODE                  VARCHAR2(120)     NOT NULL,
    DEEPLINK                     VARCHAR2(2048),
    ORA_SEED_SET1                VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2                VARCHAR2(4)       NOT NULL,
    MODULE_ID                    VARCHAR2(128) ,
    SEED_DATA_SOURCE             VARCHAR2(2048),
    OBJECT_VERSION_NUMBER        NUMBER(9, 0)      NOT NULL,
    CREATION_DATE                TIMESTAMP(6)      NOT NULL,
    CREATED_BY                   VARCHAR2(256)     NOT NULL,
    LAST_UPDATED_BY              VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN            VARCHAR2(128) ,
    SUBSCRIBER_RULE_ACTION_ID    NUMBER(18, 0) ,
    SUBSCRIBER_RULE_ID           NUMBER(18, 0)     NOT NULL,
    SUBSCRIBER_RULE_CODE         VARCHAR2(1024)    NOT NULL,
    ENABLED_FLAG                 VARCHAR2(4)       NOT NULL,
    DEFAULT_FLAG                 VARCHAR2(4)       NOT NULL,
    ACTION_CODE                  VARCHAR2(120)     NOT NULL,
    DEEPLINK                     VARCHAR2(2048),
    ORA_SEED_SET1                VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2                VARCHAR2(4)       NOT NULL,
    MODULE_ID                    VARCHAR2(128) ,
    SEED_DATA_SOURCE             VARCHAR2(2048),
    OBJECT_VERSION_NUMBER        NUMBER(9, 0)      NOT NULL,
    CREATION_DATE                TIMESTAMP(6)      NOT NULL,
    CREATED_BY                   VARCHAR2(256)     NOT NULL,
    LAST_UPDATED_BY              VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN            VARCHAR2(128) ,
    CONSTRAINT pk_irc_rac_rule_actions PRIMARY KEY (SUBSCRIBER_RULE_ACTION_ID, SUBSCRIBER_RULE_ACTION_ID)
);
